#
# spec file for package python-trollius
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-trollius
Version:        1.0.4
Release:        4.10
License:        Apache-2.0
Summary:        Port of the Tulip project (asyncio module, PEP 3156) on Python 2
Url:            https://bitbucket.org/enovance/trollius/
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/t/trollius/trollius-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-mock
# Documentation requirements:
BuildRequires:  python-Sphinx
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} <= 1110
BuildRequires:  python-ordereddict
BuildRequires:  python-unittest2
Requires:       python-ordereddict
Requires:       python-unittest2
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%else
BuildArch:      noarch
%endif

%description
Trollius provides infrastructure for writing single-threaded concurrent
code using coroutines, multiplexing I/O access over sockets and other
resources, running network clients and servers, and other related primitives.
Here is a more detailed list of the package contents:
* a pluggable event loop with various system-specific implementations;
* transport and protocol abstractions (similar to those in `Twisted
  <http://twistedmatrix.com/>`_);
* concrete support for TCP, UDP, SSL, subprocess pipes, delayed calls, and
  others (some may be system-dependent);
* a ``Future`` class that mimics the one in the ``concurrent.futures`` module,
  but adapted for use with the event loop;
* coroutines and tasks based on generators (``yield``), to help write
  concurrent code in a sequential fashion;
* cancellation support for ``Future``\s and coroutines;
* synchronization primitives for use between coroutines in a single thread,
  mimicking those in the ``threading`` module;
* an interface for passing work off to a threadpool, for times when you
  absolutely, positively have to use a library that makes blocking I/O calls.

%prep
%setup -q -n trollius-%{version}

%build
python setup.py build
python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python runtests.py

%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING TODO build/sphinx/html
%{python_sitelib}/*

%changelog
* Tue Jul 14 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Mon Mar 30 2015 p.drouand@gmail.com
- Fix description
* Sat Mar 28 2015 termim@gmail.com
- Initial checkin Trollius-1.0.4
